Bug 153634 - [PATCH] Remove unnecessary PKGNAMEPREFIX declaration for ports of localization versions
[PATCH] Remove unnecessary PKGNAMEPREFIX declaration for ports of localizatio...
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Sunpoet Po-Chuan Hsieh
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-01-02 19:30 UTC by Sunpoet Po-Chuan Hsieh
Modified: 2011-01-09 11:20 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sunpoet Po-Chuan Hsieh freebsd_committer 2011-01-02 19:30:11 UTC
- Remove unnecessary PKGNAMEPREFIX declaration
- Remove MD5 obsolete MD5 checksum while I'm here

For ports of localization versions, we have pre-defined PKGNAMEPREFIX,
e.g. ar- for arabic/*. This patch removes PKGNAMEPREFIX from the ports
having PKGNAMEPREFIX in their Makefile which equals to the default
PKGNAMEPREFIX of their category.

Here's the list of affected ports:
arabic/kde3-i18n
arabic/koffice-i18n
chinese/CJKUnifonts
chinese/CNS11643-font
chinese/docproj
chinese/fortune
chinese/fqterm
chinese/qterm
french/MT
french/kde3-i18n
french/koffice-i18n
german/MT
german/kde3-i18n
german/koffice-i18n
german/schwobifyer
german/selfhtml
german/vtiger
german/webalizer2
german/wordpress
japanese/MT
japanese/dvipsk
japanese/kde3-i18n
japanese/koffice-i18n
japanese/latex2html
japanese/mutt-devel
japanese/platex-jsclasses
japanese/ptex
japanese/teTeX
japanese/texfamily
japanese/webalizer
japanese/xdvik
korean/kde3-i18n
polish/kde3-i18n
polish/koffice-i18n
polish/webalizer2
portuguese/kde3-i18n
portuguese/koffice-i18n
russian/MT
russian/kde3-i18n
russian/koffice-i18n
ukrainian/kde3-i18n
ukrainian/koffice-i18n
vietnamese/kde3-i18n

Fix: 

The patch is at http://people.FreeBSD.org/~sunpoet/l10n-ports-PKGNAMEPREFIX.patch
Comment 1 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-01-02 19:33:29 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

Ask for portmgr's approval.
Comment 2 pav freebsd_committer 2011-01-06 13:27:17 UTC
Responsible Changed
From-To: portmgr->pav

Take
Comment 3 pav freebsd_committer 2011-01-08 19:37:36 UTC
Responsible Changed
From-To: pav->sunpoet

Tested without issues.  Over to submitter for committing.
Comment 4 dfilter freebsd_committer 2011-01-09 11:13:51 UTC
sunpoet     2011-01-09 11:13:41 UTC

  FreeBSD ports repository

  Modified files:
    arabic/kde3-i18n     Makefile distinfo 
    arabic/koffice-i18n  Makefile distinfo 
    chinese/CJKUnifonts  Makefile distinfo 
    chinese/CNS11643-font Makefile distinfo 
    chinese/docproj      Makefile 
    chinese/fortune      Makefile distinfo 
    chinese/fqterm       Makefile distinfo 
    chinese/qterm        Makefile distinfo 
    french/MT            Makefile 
    french/kde3-i18n     Makefile distinfo 
    french/koffice-i18n  Makefile distinfo 
    german/MT            Makefile 
    german/kde3-i18n     Makefile distinfo 
    german/koffice-i18n  Makefile distinfo 
    german/schwobifyer   Makefile distinfo 
    german/selfhtml      Makefile distinfo 
    german/vtiger        Makefile distinfo 
    german/webalizer2    Makefile 
    german/wordpress     Makefile 
    japanese/MT          Makefile 
    japanese/dvipsk      Makefile distinfo 
    japanese/kde3-i18n   Makefile distinfo 
    japanese/koffice-i18n Makefile distinfo 
    japanese/latex2html  Makefile distinfo 
    japanese/mutt-devel  Makefile 
    japanese/platex-jsclasses Makefile distinfo 
    japanese/ptex        Makefile distinfo 
    japanese/teTeX       Makefile 
    japanese/texfamily   Makefile distinfo 
    japanese/webalizer   Makefile 
    japanese/xdvik       Makefile distinfo 
    korean/kde3-i18n     Makefile distinfo 
    polish/kde3-i18n     Makefile distinfo 
    polish/koffice-i18n  Makefile distinfo 
    polish/webalizer2    Makefile 
    portuguese/kde3-i18n Makefile distinfo 
    portuguese/koffice-i18n Makefile distinfo 
    russian/MT           Makefile 
    russian/kde3-i18n    Makefile distinfo 
    russian/koffice-i18n Makefile distinfo 
    ukrainian/kde3-i18n  Makefile distinfo 
    ukrainian/koffice-i18n Makefile distinfo 
    vietnamese/kde3-i18n Makefile distinfo 
  Log:
  - Remove unnecessary PKGNAMEPREFIX declaration
  - Remove obsolete MD5 checksum while I'm here
  
  PR:             ports/153634
  Submitted by:   sunpoet (myself)
  Approved by:    pav (with portmgr hat)
  
  Revision  Changes    Path
  1.56      +0 -1      ports/arabic/kde3-i18n/Makefile
  1.41      +0 -1      ports/arabic/kde3-i18n/distinfo
  1.40      +0 -1      ports/arabic/koffice-i18n/Makefile
  1.13      +0 -1      ports/arabic/koffice-i18n/distinfo
  1.15      +0 -1      ports/chinese/CJKUnifonts/Makefile
  1.8       +0 -2      ports/chinese/CJKUnifonts/distinfo
  1.4       +0 -1      ports/chinese/CNS11643-font/Makefile
  1.2       +0 -2      ports/chinese/CNS11643-font/distinfo
  1.10      +0 -1      ports/chinese/docproj/Makefile
  1.6       +0 -1      ports/chinese/fortune/Makefile
  1.2       +0 -1      ports/chinese/fortune/distinfo
  1.8       +0 -1      ports/chinese/fqterm/Makefile
  1.2       +0 -1      ports/chinese/fqterm/distinfo
  1.42      +0 -1      ports/chinese/qterm/Makefile
  1.17      +0 -1      ports/chinese/qterm/distinfo
  1.3       +0 -1      ports/french/MT/Makefile
  1.46      +0 -1      ports/french/kde3-i18n/Makefile
  1.35      +0 -1      ports/french/kde3-i18n/distinfo
  1.35      +0 -1      ports/french/koffice-i18n/Makefile
  1.18      +0 -1      ports/french/koffice-i18n/distinfo
  1.3       +0 -1      ports/german/MT/Makefile
  1.46      +0 -1      ports/german/kde3-i18n/Makefile
  1.35      +0 -1      ports/german/kde3-i18n/distinfo
  1.36      +0 -1      ports/german/koffice-i18n/Makefile
  1.18      +0 -1      ports/german/koffice-i18n/distinfo
  1.7       +0 -1      ports/german/schwobifyer/Makefile
  1.3       +0 -1      ports/german/schwobifyer/distinfo
  1.8       +0 -1      ports/german/selfhtml/Makefile
  1.6       +0 -1      ports/german/selfhtml/distinfo
  1.4       +0 -1      ports/german/vtiger/Makefile
  1.2       +0 -1      ports/german/vtiger/distinfo
  1.26      +0 -1      ports/german/webalizer2/Makefile
  1.39      +0 -1      ports/german/wordpress/Makefile
  1.5       +0 -1      ports/japanese/MT/Makefile
  1.46      +0 -1      ports/japanese/dvipsk/Makefile
  1.15      +0 -2      ports/japanese/dvipsk/distinfo
  1.47      +0 -1      ports/japanese/kde3-i18n/Makefile
  1.35      +0 -1      ports/japanese/kde3-i18n/distinfo
  1.35      +0 -1      ports/japanese/koffice-i18n/Makefile
  1.15      +0 -1      ports/japanese/koffice-i18n/distinfo
  1.36      +0 -1      ports/japanese/latex2html/Makefile
  1.6       +0 -2      ports/japanese/latex2html/distinfo
  1.75      +0 -1      ports/japanese/mutt-devel/Makefile
  1.9       +0 -1      ports/japanese/platex-jsclasses/Makefile
  1.6       +0 -3      ports/japanese/platex-jsclasses/distinfo
  1.41      +0 -1      ports/japanese/ptex/Makefile
  1.13      +0 -5      ports/japanese/ptex/distinfo
  1.13      +0 -1      ports/japanese/teTeX/Makefile
  1.11      +0 -1      ports/japanese/texfamily/Makefile
  1.3       +0 -5      ports/japanese/texfamily/distinfo
  1.4       +0 -1      ports/japanese/webalizer/Makefile
  1.48      +0 -1      ports/japanese/xdvik/Makefile
  1.13      +0 -2      ports/japanese/xdvik/distinfo
  1.53      +0 -1      ports/korean/kde3-i18n/Makefile
  1.27      +0 -1      ports/korean/kde3-i18n/distinfo
  1.61      +0 -1      ports/polish/kde3-i18n/Makefile
  1.41      +0 -1      ports/polish/kde3-i18n/distinfo
  1.34      +0 -1      ports/polish/koffice-i18n/Makefile
  1.18      +0 -1      ports/polish/koffice-i18n/distinfo
  1.2       +0 -1      ports/polish/webalizer2/Makefile
  1.61      +0 -1      ports/portuguese/kde3-i18n/Makefile
  1.41      +0 -1      ports/portuguese/kde3-i18n/distinfo
  1.36      +0 -1      ports/portuguese/koffice-i18n/Makefile
  1.18      +0 -1      ports/portuguese/koffice-i18n/distinfo
  1.3       +0 -1      ports/russian/MT/Makefile
  1.51      +0 -1      ports/russian/kde3-i18n/Makefile
  1.35      +0 -1      ports/russian/kde3-i18n/distinfo
  1.38      +0 -1      ports/russian/koffice-i18n/Makefile
  1.21      +0 -1      ports/russian/koffice-i18n/distinfo
  1.47      +0 -1      ports/ukrainian/kde3-i18n/Makefile
  1.38      +0 -1      ports/ukrainian/kde3-i18n/distinfo
  1.35      +0 -1      ports/ukrainian/koffice-i18n/Makefile
  1.17      +0 -1      ports/ukrainian/koffice-i18n/distinfo
  1.55      +0 -1      ports/vietnamese/kde3-i18n/Makefile
  1.29      +0 -1      ports/vietnamese/kde3-i18n/distinfo
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Sunpoet Po-Chuan Hsieh freebsd_committer 2011-01-09 11:14:12 UTC
State Changed
From-To: open->closed

Committed. Thanks!